View Issue Details

IDProjectCategoryView StatusLast Update
13572Bug reports[All Projects] Assessmentspublic2018-11-27 10:03
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.6.x 
Target VersionFixed in Version3.15.x 
Summary13572: Empty assessement still shown
Description

If user don't have assessment but assesment still exist : assesment part are shown

Steps To Reproduce

Import included survey, answer no at first answer.
Assesement is done for value < -1 or > 1 then : must not shown here.

Additional Information

It work on 2.75, because it test current value before doing the html. Must be move to SurveyRuntime for "current value get THIS assessments (without replacing {PerC} and {TOTAL} it can be template here (or ?)

(I never use included assessments, only assessment value, then not a real issue for my usage)

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.6.1
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 13569 closedDenisChenu Final assesments are shown even if no assessemnt is set 

Activities

DenisChenu

DenisChenu

2018-04-04 18:27

developer  

limesurvey_survey_emptyAssesment.lss (16,322 bytes)
LouisGac

LouisGac

2018-05-16 13:32

manager   ~47642

https://github.com/LimeSurvey/LimeSurvey/commit/01615ca1741264e124416a10e741df31dffe412d

does it fix this bug too?

DenisChenu

DenisChenu

2018-11-25 18:02

developer   ~49777

Not fixed (sorry for delay of testing .

I set one global assesment to 10000 with only one assesment question to 1 : Your assesment arev : [empty]

DenisChenu

DenisChenu

2018-11-25 18:05

developer   ~49778

Fixed in https://github.com/LimeSurvey/LimeSurvey/pull/1182

DenisChenu

DenisChenu

2018-11-25 18:06

developer  

DenisChenu

DenisChenu

2018-11-26 17:34

developer   ~49789

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28564

Related Changesets

LimeSurvey: master 04eb4645

2018-11-26 17:29:43

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14273: {ASSESSMENT_CURRENT_TOTAL} usage broken in survey

Fixed issue 13572: Empty assessement still shown
Dev : pull request #1182
Dev: evaluation of current total must be done each time
Dev: add an var to get the current assesment data or not
Dev: remove dbExecuteAssoc
Dev: assesment return 0 : show Unkown : test isset and not empty
Fixed issue : ASSESSMENT_CURRENT_TOTAL is not saved in Equation question type
Dev: currently : equation question type use templatereplace
Dev: maybe better to create a new function to get only real var used in Equation ?
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/frontend_helper.php Diff File
mod - application/helpers/replacements_helper.php Diff File
mod - application/views/admin/assessments/assessments_edit.php Diff File

Issue History

Date Modified Username Field Change
2018-04-04 18:27 DenisChenu New Issue
2018-04-04 18:27 DenisChenu File Added: Capture du 2018-04-04 18-24-32.png
2018-04-04 18:27 DenisChenu File Added: limesurvey_survey_emptyAssesment.lss
2018-04-04 18:27 DenisChenu Relationship added related to 13569
2018-05-16 13:32 LouisGac Assigned To => LouisGac
2018-05-16 13:32 LouisGac Status new => feedback
2018-05-16 13:32 LouisGac Note Added: 47642
2018-05-30 18:15 LouisGac Status feedback => closed
2018-05-30 18:15 LouisGac Resolution open => fixed
2018-11-25 18:02 DenisChenu Assigned To LouisGac => DenisChenu
2018-11-25 18:02 DenisChenu Status closed => assigned
2018-11-25 18:02 DenisChenu Note Added: 49777
2018-11-25 18:05 DenisChenu Note Added: 49778
2018-11-25 18:06 DenisChenu File Added: Capture d’écran du 2018-11-25 18-06-35.png
2018-11-26 17:34 DenisChenu Changeset attached => LimeSurvey master 04eb4645
2018-11-26 17:34 DenisChenu Note Added: 49789
2018-11-27 10:03 DenisChenu Status assigned => resolved
2018-11-27 10:03 DenisChenu Fixed in Version => 3.15.x